Bug 812855 - New Bug::search function is severely limited
New Bug::search function is severely limited
Product: Bugzilla
Classification: Community
Component: WebService (Show other bugs)
Unspecified Unspecified
unspecified Severity high (vote)
: ---
: ---
Assigned To: PnT DevOps Devs
Depends On:
Blocks: BZ42
  Show dependency treegraph
Reported: 2012-04-16 08:49 EDT by Martin Kosek
Modified: 2013-06-23 21:47 EDT (History)
1 user (show)

See Also:
Fixed In Version: 4.2.0-0.b26
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-04-19 21:44:34 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Martin Kosek 2012-04-16 08:49:39 EDT
Description of problem:

I tested the new Bugzilla testing release with our application using its XMLRPC interface, but it is now broken because Bug::search function does not provide search abilities that it provided in Bugzilla 3.6.x instance.

I checked with the API specification of Bug::search in Bugzilla 4.2:

and I miss the following features that we depend on:
- ability to pass column_list to narrow the returned column data. This also makes us able to get flags for all queried Bugs in one XMLRPC call
- ability to pass quicksearch string
- ability to pass saved search

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Call Bug::search XMLRPC call with any of the above features
Actual results:
The search fails

Expected results:
The search either succeeds as with previous version or I am pointed to other search API that can get us these search abilities
Comment 1 Simon Green 2012-04-19 09:22:04 EDT
I've fixed bugzilla.runQuery and RedHat.runQuery so that it should work as it previously did. I've also modified Bug.search so it will accept 'quicksearch' or 'savedsearch' key to return the expected rows.

You can give it a test run at:


I haven't updated the Bug.search documentation yet. Will do that tomorrow.

  -- simon
Comment 2 Martin Kosek 2012-04-19 09:37:08 EDT
Thanks Simon, I will test this against your server with our XMLRPC based tool. Is it now possible to pass also column_list to limit the returned data and request fields that are not returned by default (flags)?
Comment 3 Simon Green 2012-04-19 09:44:07 EDT
(In reply to comment #2)
> Is it now possible to pass also column_list to limit the returned data and
> request fields that are not returned by default (flags)?

No, column_list is depreciated for upstream written RPC calls (part of moving as close as possible to match upstream calls). From https://partner-bugzilla.redhat.com/docs/en/html/api/Bugzilla/WebService/Bug.html: "In addition to the parameters below, this method also accepts the standard include_fields and exclude_fields arguments"

If there are any fields you cannot get that you want, can you file a separate bug for them?  (other than dependson / blockedby which you have already field).


  -- simon
Comment 4 Simon Green 2012-04-19 21:44:34 EDT
Have committed this code and will be fixed in 4.2.0-0.b26 and later. The documentation has been updated to show the extra options too.
Comment 5 Martin Kosek 2012-04-20 02:43:56 EDT
I wanted to test the fix now, but it seems that your test instance is not alive:

Official partner-bugzilla instance is still on version 4.2.0-0.b25.
Comment 6 Simon Green 2012-04-20 02:49:30 EDT
(In reply to comment #5)
> but it seems that your test instance is not alive:

It was taken down once I committed the code changes. Partner bugzilla will be updated later this morning (EDT) with this change, among others.

Note You need to log in before you can comment on or make changes to this bug.